__author__ = "Zafer Aydin"
__date__ = "02/05/2010"
__project__ = "Protein Structure Prediction"

usage = """
        Usage: python convert_to_fastas_all_filename.py <test files list filename> <fasta files list filename> 
"""

import sys
import math

if __name__ == "__main__":

        if ( len(sys.argv) != 3 ):

                sys.stderr.write(usage)
                sys.exit(-1)

	input_filename = sys.argv[1]
	output_filename = sys.argv[2]

	input_file = open(input_filename, 'r')
	input_file_inside = input_file.readlines()
	input_file.close()

	n_lines = len(input_file_inside)

	output_file = open(output_filename, 'w')

	for i in range(n_lines):

		a_line = input_file_inside[i].rstrip()

		a_line = a_line.replace('../../data/', '')

		if ('nc.obs' in a_line):		

	                a_line = a_line.replace('nc.obs', 'fasta')        

		elif ('cn.obs' in a_line):
			
			a_line = a_line.replace('cn.obs', 'fasta')

		output_file.write('%s\n' % a_line)

	output_file.close()


