__author__ = "Zafer Aydin"
__date__ = "02/09/2010"
__project__ = "Protein Structure Prediction"

usage = """

        Usage: python get_the_next_weights_to_try.py <max weight from previous iteration> <next weights filename> <previous increment filename>
"""

import sys
import math

if __name__ == "__main__":

        if (len(sys.argv) != 4):

                sys.atderr.write(usage)
                sys.exit(-1)

	max_weight = float(sys.argv[1])
	next_weights_filename = sys.argv[2]
	previous_increment_filename = sys.argv[3]

	previous_increment_file = open(previous_increment_filename, 'r')
	previous_increment_value = float(previous_increment_file.readline().rstrip())
        previous_increment_file.close()

	increment_value = previous_increment_value / float(10.0)

	next_weights_file = open(next_weights_filename, 'w')

	if ((max_weight != 0.0) and (max_weight != 1.0)):
	
		for i in range(19):

			k=i-9
			next_weight_value = max_weight + k*increment_value
			next_weights_file.write('%f\n' % next_weight_value)
	else:
		for i in range(10):

                        k=i
                        next_weight_value = max_weight + k*increment_value
                        next_weights_file.write('%f\n' % next_weight_value)

	next_weights_file.close()

        previous_increment_file = open(previous_increment_filename, 'w')
        previous_increment_file.write('%f\n' % increment_value)
        previous_increment_file.close()

