__author__ = "Zafer Aydin"
__date__ = "11/16/2009"
__project__ = "Protein Structure Prediction"

usage = """

        Usage: python read_accuracy_value.py <confusion_matrix_filename> <output accuracy filename>
"""

import sys
import os

if __name__ == "__main__":

        if (len(sys.argv) != 3):

                sys.atderr.write(usage)
                sys.exit(-1)

        accuracy_filename = sys.argv[1]
        output_filename = sys.argv[2]

        if (os.path.exists(accuracy_filename)):

                accuracy_file = open(accuracy_filename, 'r')

                for a_line in accuracy_file:

                        if ("Column Sum" in a_line):

                                token_list = a_line.split('<TD>')
                                accuracy_cand = token_list[-1]
                                token_list2 = accuracy_cand.split('<center>')
                                accuracy_cand2 = token_list2[-1]
                                token_list3 = accuracy_cand2.split('</TD>')
                                accuracy = float(token_list3[0])

                accuracy_file.close()

                output_file = open(output_filename, 'w')
                output_file.write('%f' % accuracy)
                output_file.close()

